Skip to main content

PaginatedContactsResponse

200 body of GET /contacts — the Bland-style limit/offset list envelope.

statusstringrequired

Always success.

countintegerrequired

Number of contacts on this page.

total_countintegerrequired

Total contacts matching the filters.

contacts object[]required
  • Array [
  • iduuidrequired
    phonestringrequired
    external_idstringrequired
    namestringrequired
    languagestringrequired
    timezonestringrequired
    consentbooleanrequired
    do_not_callbooleanrequired
    contextstringrequired
    datarequired
    statusstringrequired
    dispositionstringrequired
    disposition_atdate-timerequired
    last_outcomestringrequired
    follow_up_atdate-timerequired
    createddate-timerequired
    modifieddate-timerequired
  • ]
  • PaginatedContactsResponse
    {
    "status": "string",
    "count": 0,
    "total_count": 0,
    "contacts": [
    {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "phone": "string",
    "external_id": "string",
    "name": "string",
    "language": "string",
    "timezone": "string",
    "consent": true,
    "do_not_call": true,
    "context": "string",
    "status": "string",
    "disposition": "string",
    "disposition_at": "2024-07-29T15:51:28.071Z",
    "last_outcome": "string",
    "follow_up_at": "2024-07-29T15:51:28.071Z",
    "created": "2024-07-29T15:51:28.071Z",
    "modified": "2024-07-29T15:51:28.071Z"
    }
    ]
    }